#
# Makefile for swldpc11_cs
#


#include ../config.mk

include ../config.mk

LIB := ../lib

CFLAGS = -O2 -Wall -Wstrict-prototypes -Winline -pipe

CPPFLAGS = $(PCDEBUG) -D__KERNEL__ -DMODULE -I../include \
	   -I$(LINUX)/include -I$(LINUX)

all: swldpc11_cs.o

swldpc11_cs.o: swldpc11_cs.c semmgmt_cs.o
	$(CC) -MD -c $(CFLAGS) $(CPPFLAGS) $< -o .$@
	@mkdir -p .depfiles ; mv swldpc11_cs.d .depfiles
	$(LD) -r -o $@ .$@ semmgmt_cs.o -L$(LIB) -lswl11-i386
	rm -f .$@ ; chmod -x $@

