#
# Makefile for swldpc11_cs
#

VERS = 1.21

FILES = swldpc11_cs.mk README.swldpc11_cs \
    clients/swldpc11_cs.mk \
    clients/swldpc11_cs.c \
    clients/swld11_cs.h \
    clients/semmgmt_cs.c \
    clients/semdebug_cs.h \
    clients/swlioctl.h\
    etc/swldpc11_cs.mk \
    etc/swldpc11_cs.patch \
    lib/libswl11-i386.a \
    man/swldpc11_cs.4

all:
	$(MAKE) -C clients -f swldpc11_cs.mk $@

install:
	$(MAKE) -C clients install-modules MODULES=swldpc11_cs.o
	$(MAKE) -C man install-man4 MAN4=swldpc11_cs.4
	$(MAKE) -C etc -f swldpc11_cs.mk $@

dist:
	tar czvf swldpc11_cs-$(VERS).tar.gz $(FILES)

